from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ExtAltNameType(IntEnum):
    OTHER_NAME = auto()
    RFC822_NAME = auto()
    DNS_NAME = auto()
    DIRECTORY_NAME = auto()
    URL = auto()
    IP_ADDRESS = auto()
    REGISTERED_ID = auto()
    EDI_PARTY_NAME = auto()
    X400_ADDRESS = auto()
